Package org.eclipse.mat.parser.internal.snapshot

## Class ClassLoaderHistogramRecordBuilder

- java.lang.Object
- - org.eclipse.mat.snapshot.HistogramRecord
  - - org.eclipse.mat.parser.internal.snapshot.ClassLoaderHistogramRecordBuilder

All Implemented Interfaces:
  `Serializable`

    public class ClassLoaderHistogramRecordBuilder
    extends HistogramRecord

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.mat.snapshot.HistogramRecord

`COMPARATOR_FOR_LABEL, COMPARATOR_FOR_NUMBEROFOBJECTS, COMPARATOR_FOR_RETAINEDHEAPSIZE, COMPARATOR_FOR_USEDHEAPSIZE`

### Constructor Summary

Constructors
`ClassLoaderHistogramRecordBuilder​(String label, int classLoaderId, long retainedHeapSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(ClassHistogramRecord classHistogramRecord)`
`ClassLoaderHistogramRecord` `toClassLoaderHistogramRecord​(boolean isDefaultHistogram)`

### Methods inherited from class org.eclipse.mat.snapshot.HistogramRecord

`getLabel, getNumberOfObjects, getRetainedHeapSize, getUsedHeapSize, incNumberOfObjects, incNumberOfObjects, incRetainedHeapSize, incUsedHeapSize, reverseComparator, setLabel, setNumberOfObjects, setRetainedHeapSize, setUsedHeapSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLoaderHistogramRecordBuilder

    public ClassLoaderHistogramRecordBuilder​(String label,
                                             int classLoaderId,
                                             long retainedHeapSize)

### Method Detail

#### add

    public void add​(ClassHistogramRecord classHistogramRecord)

#### toClassLoaderHistogramRecord

    public ClassLoaderHistogramRecord toClassLoaderHistogramRecord​(boolean isDefaultHistogram)